/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: sig.h,v 1.2 2001/04/30 12:20:35 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2001  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/

#ifndef _POPULAR_SIGNAL_H
#define _POPULAR_SIGNAL_H

#define SIGNAL_MAX 32

typedef enum {
  sigIgnore,
  sigDefault,
  sigHandler
} signal_handler_t;


void signal_set(signal_handler_t what, int signum, int flags);
void signal_init(int c);
void signal_init_child();
int signal_came(int signum);
int signal_next();


#endif  /* _POPULAR_SIGNAL_H */


/** THE END *****************************************************************/
